Documents Index
===============

Intro to ML.NET
===============

ML.NET provides state-of-the-art ML algorithms, transforms and components, aiming to make them useful for all developers, data scientists, and information workers and helpful in all products, services and devices.

Project Docs
============

- [Developer Guide](project-docs/developer-guide.md)
- [Contributing to ML.NET](project-docs/contributing.md)
- [Strong Name Signing](https://github.com/dotnet/corefx/blob/master/Documentation/project-docs/strong-name-signing.md)
- [Public Signing](https://github.com/dotnet/corefx/blob/master/Documentation/project-docs/public-signing.md)
- [Project NuGet Dependencies](https://github.com/dotnet/buildtools/blob/master/Documentation/project-nuget-dependencies.md)
- [ML.NET Roadmap](https://github.com/dotnet/machinelearning/blob/master/README.md)
- [ML.NET Cookbook](code/MlNetCookBook.md)
- [ML.NET API Reference Documentation](https://docs.microsoft.com/en-us/dotnet/api/?view=ml-dotnet)

Building from Source
====================

- [Building ML.NET on Linux and OS X](building/unix-instructions.md)
- [Building ML.NET on Windows](building/windows-instructions.md)

Repo of Samples
====================

- [ML.NET Samples](https://github.com/dotnet/machinelearning-samples/blob/master/README.md)

Extensions for ML.NET
====================

- [Infer.NET - Bayesian / Probabilistic inference for ML.NET](https://github.com/dotnet/infer/blob/master/README.md)
- [NimbusML - Python bindings for ML.NET](https://github.com/Microsoft/NimbusML/blob/master/README.md)
